using System.ComponentModel.DataAnnotations;
using Microsoft.AspNetCore.Mvc;

namespace Auth.Entities { 
    public class AuthorizationRequest {
        [Required]
        [FromQuery(Name = "response_type")]
        public required string ResponseType { get; set; }

        [Required]
        [FromQuery(Name = "client_id")]
        public required string ClientId { get; set; }

        [FromQuery(Name = "redirect_uri")]
        public string RedirectUri { get; set; } = "";

        [FromQuery(Name = "scope")]
        public string Scope { get; set; } = "";

        [FromQuery(Name = "state")]
        public string State { get; set; } = "";

        [FromQuery(Name = "code_challenge")]
        public string CodeChallenge { get; set; } = "";

        [FromQuery(Name = "code_challenge_method")]
        public string CodeChallengeMethod { get; set; } = "";
    }
}